Skip to main content
`Ctrl`+`K`

# DMPlexSetRefinementFunction

Set the function giving the maximum cell volume for refinement

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexSetRefinementFunction(DM dm, PetscErrorCode (*refinementFunc)(const PetscReal coords[], PetscReal *limit))

## Input Parameters

- dm - The `DM`

- refinementFunc - Function giving the maximum cell volume in the refined mesh

## Calling Sequence of `refinementFunc`

- coords - Coordinates of the current point, usually a cell centroid

- limit - The maximum cell volume for a cell containing this point

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMRefine()`, `DMPlexGetRefinementFunction()`, `DMPlexGetRefinementUniform()`, `DMPlexSetRefinementUniform()`, `DMPlexGetRefinementLimit()`, `DMPlexSetRefinementLimit()`

## Level

developer

## Location

src/dm/impls/plex/plexrefine.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages